/**
 * Generate the headers for a Web Push request.
 * @param publicVapidKey - The public VAPID key.
 * @param jwt - The signed JWT token.
 * @param encryptedPayload - The encrypted payload.
 * @param salt - The salt used to encrypt the payload.
 * @param localPublicKey - The public key used to encrypt the payload.
 * @param ttl - The time-to-live for the notification.
 * @returns The generated headers.
 */
export declare function generateHeaders(publicVapidKey: CryptoKey, jwt: string, encryptedPayload: ArrayBuffer, salt: ArrayBuffer, localPublicKey: CryptoKey, ttl?: number): Promise<Headers>;
