import type { PushNotificationSubscription } from "../types.js";
/**
 * Encrypt a plaintext payload using the keys provided by the PushSubscription.
 * @param payload - The plaintext payload to encrypt.
 * @param keys - The keys from the PushSubscription.
 */
export declare function encryptPayload(payload: string, keys: PushNotificationSubscription["keys"]): Promise<{
    encrypted: ArrayBufferLike;
    salt: Uint8Array;
    serverPublicKey: CryptoKey;
}>;
